std::experimental::filesystem::path::iterator(3cxx)

NAME
std::experimental::filesystem::path::iterator - An iterator for the components of a path.

SYNOPSIS

#include <fs_path.h>

  Public Types

using difference_type = std::ptrdiff_t
using iterator_category = std::bidirectional_iterator_tag
using pointer = const path *
using reference = const path &
using value_type = path

  Public Member Functions

iterator (const iterator &)=default
iterator operator++ (int)
iterator operator-- (int)
pointer operator-> () const
iterator & operator= (const iterator &)=default

  Friends

bool operator!= (const iterator &__lhs, const iterator &__rhs)
bool operator== (const iterator &__lhs, const iterator &__rhs)
class path
reference operator* () const
iterator & operator++ ()
iterator & operator-- ()

Detailed Description

An iterator for the components of a path.

Definition at line 757 of file experimental/bits/fs_path.h.

Member Typedef Documentation

  using std::experimental::filesystem::path::iterator::difference_type = std::ptrdiff_t

Definition at line 760 of file experimental/bits/fs_path.h.

  using std::experimental::filesystem::path::iterator::iterator_category = std::bidirectional_iterator_tag

Definition at line 764 of file experimental/bits/fs_path.h.

  using std::experimental::filesystem::path::iterator::pointer = const path*

Definition at line 763 of file experimental/bits/fs_path.h.

  using std::experimental::filesystem::path::iterator::reference = const path&

Definition at line 762 of file experimental/bits/fs_path.h.

  using std::experimental::filesystem::path::iterator::value_type = path

Definition at line 761 of file experimental/bits/fs_path.h.

Constructor & Destructor Documentation

  std::experimental::filesystem::path::iterator::iterator () [inline]

Definition at line 766 of file experimental/bits/fs_path.h.

Member Function Documentation

  path::iterator::reference std::experimental::filesystem::path::iterator::operator* () const [inline]

Definition at line 1158 of file experimental/bits/fs_path.h.

  path::iterator & std::experimental::filesystem::path::iterator::operator++ () [inline]

Definition at line 1124 of file experimental/bits/fs_path.h.

  iterator std::experimental::filesystem::path::iterator::operator++ (int) [inline]

Definition at line 775 of file experimental/bits/fs_path.h.

  path::iterator & std::experimental::filesystem::path::iterator::operator-- () [inline]

Definition at line 1141 of file experimental/bits/fs_path.h.

  iterator std::experimental::filesystem::path::iterator::operator-- (int) [inline]

Definition at line 778 of file experimental/bits/fs_path.h.

  pointer std::experimental::filesystem::path::iterator::operator-> () const [inline]

Definition at line 772 of file experimental/bits/fs_path.h.

Friends And Related Symbol Documentation

  bool operator!= (const iterator & __lhs, const iterator & __rhs) [friend]

Definition at line 783 of file experimental/bits/fs_path.h.

  bool operator== (const iterator & __lhs, const iterator & __rhs) [friend]

Definition at line 780 of file experimental/bits/fs_path.h.

  friend class path [friend]

Definition at line 787 of file experimental/bits/fs_path.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.